Subject: Correction: Service for NT and linking mixed cygnus-MS libs
From: [email-masked] (Giovanni Maruzzelli)

12 May 1997 16:25:15 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: Giovanni Maruzzelli <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

Hi there,

OK, I've received lot of mail that show the interest.

It was late when I posted, so I confused my mind and my e-mail:

I've succeded in building services for NT using CYGWIN alone

or

using mixed objects built with vc++ and gcc, linked with LINK.

The problem is that in the second case, when the services built with mixed
objects try to access the cygwin functionality they crash. So, they are
useless, 'cause they work only if you don't use cygwin specific stuff in
the objects compiled with gcc, but only microsoft allowed function
(e.g. Sleep not sleep). Probably this can be solved building libcygwin.a
without stuff that overlap the microsoft libc.lib or libcmt.lib.

But at least you can build services cygwin-only. 

So, look in:

ftp://aaue.matrice.it/pub/cygwin32/services/

or

http://www.matrice.it/risorse/cygwin32/services/

Anyway, if you want to have a CYGNUS ONLY SERVICE, without microsoft
stuff, the key is to modify a little the service example from microsoft
in a way that don't use the special multithreaded function (like special
printf, strcmp, etc.). After that, link with -ladvapi.

ciao,

-giovanni

          ***********************************************
          *                                             *
          *                                             *
          *    MATRICE srl                              *
          *    Information Technology Solutions         *
          *                                             *
          *    Giovanni Maruzzelli                      *
          *                                             *
          *                                             *
          *                                             *
          *    [email-masked]                        *
          *    http://www.matrice.it                    *
          ***********************************************

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".